## Distribution of the Wilcoxon Signed Rank Statistic

## Usage

    dsignrank(x, n)
    psignrank(q, n)
    qsignrank(p, n)
    rsignrank(nn, n)

## Arguments

`x,q` | vector of quantiles.
`p` | vector of probabilities.
`nn` | number of observations to generate.
`n` | numbers of observations in the sample. Must be positive integers less than 50.

## Value

These functions provide information about the distribution of the Wilcoxon Signed Rank statistic obtained from a sample with size `n`. `dsignrank` gives the density, `psignrank` gives the distribution function, `qsignrank` gives the quantile function, and `rsignrank` generates random deviates.

This distribution is obtained as follows. Let `x` be a sample of size `n` from a continuous distribution symmetric about the origin. Then the Wilcoxon signed rank statistic is the sum of the ranks of the absolute values `x[i]` for which `x[i]` is positive. This statistic takes values between 0 and n(n+1)/2, and its mean and variance are n(n+1)/4 and n(n+1)(2n+1)/24, respectively.

## Author(s)

Kurt Hornik hornik@ci.tuwien.ac.at

## See Also

`dwilcox` etc, for the two-sample Wilcoxon rank sum statistic.

## Examples

    par(mfrow=c(2,2))
    for(n in c(4:5,10,40)) {
      x <- seq(0, n*(n+1)/2, length=501)
      plot(x, dsignrank(x,n=n), type='l', main=paste("dsignrank(x,n=",n,")"))
    }

[Package Contents]